Debian Bug report logs - #595921
Future unblock: frama-c/20100401+boron+dfsg-5

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Mehdi Dogguy <mehdi@debian.org>

Date: Tue, 7 Sep 2010 09:57:05 UTC

Severity: normal

Done: "Adam D. Barratt" <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#595921; Package release.debian.org. (Tue, 07 Sep 2010 09:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 07 Sep 2010 09:57:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Future unblock: frama-c/20100401+boron+dfsg-5
Date: Tue, 07 Sep 2010 11:54:02 +0200
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: freeze-exception

Hi release team,

I received a tiny patch from upstream which fixes a performance bug
that could lead to a "stack overflow" error (a crash) during large
analyses. The patch is as follows:

Index: src/value/kf_state.ml
===================================================================
--- src/value/kf_state.ml	(revision 9760)
+++ src/value/kf_state.ml	(revision 9761)
@@ -44,7 +44,8 @@
        try Value.is_accessible (Kstmt (Kernel_function.find_first_stmt kf))
        with Kernel_function.No_Statement -> false)

-let mark_as_called kf = Is_Called.add kf true
+let mark_as_called kf = Is_Called.replace kf true

 (* ************************************************************************* *)
 (** {2 Callers} *)

There is no bug report for this issue (yet) since I got the patch
directly from upstream.

Would it be ok for upload an updated Frama-C package with this change
only?  Uploading a new Frama-C would require rebuilding Why as well on
all architectures because it provides a plugin for Frama-C which
contains a hash of some internal modules of Frama-C (that's needed by
OCaml).

And yes, the runtime dependencies of Why are somehow broken since it
doesn't reflect the need of at least the version of Frama-c which was
used during the build. I intended to work on that but didn't find
time. It will be fixed for Wheezy.

Regards,

-- 
Mehdi Dogguy

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'testing-proposed-updates'), (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#595921; Package release.debian.org. (Tue, 07 Sep 2010 18:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 07 Sep 2010 18:09:03 GMT) Full text and rfc822 format available.

Message #10 received at 595921@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Mehdi Dogguy <mehdi@debian.org>, 595921@bugs.debian.org
Subject: Re: Bug#595921: Future unblock: frama-c/20100401+boron+dfsg-5
Date: Tue, 07 Sep 2010 19:06:48 +0100
On Tue, 2010-09-07 at 11:54 +0200, Mehdi Dogguy wrote:
> I received a tiny patch from upstream which fixes a performance bug
> that could lead to a "stack overflow" error (a crash) during large
> analyses.
[...]
> Would it be ok for upload an updated Frama-C package with this change
> only?  Uploading a new Frama-C would require rebuilding Why as well on
> all architectures because it provides a plugin for Frama-C which
> contains a hash of some internal modules of Frama-C (that's needed by
> OCaml).

Please go ahead, and let us know once the package has been accepted.

Regards,

Adam




Added tag(s) pending. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 26 Sep 2010 14:21:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#595921; Package release.debian.org. (Tue, 05 Oct 2010 17:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 05 Oct 2010 17:24:03 GMT) Full text and rfc822 format available.

Message #17 received at 595921@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 595921@bugs.debian.org
Subject: Re: Bug#595921: Future unblock: frama-c/20100401+boron+dfsg-5
Date: Tue, 05 Oct 2010 19:21:21 +0200
On 07/09/2010 20:06, Adam D. Barratt wrote:
> On Tue, 2010-09-07 at 11:54 +0200, Mehdi Dogguy wrote:
>> I received a tiny patch from upstream which fixes a performance bug
>> that could lead to a "stack overflow" error (a crash) during large
>> analyses.
> [...]
>> Would it be ok for upload an updated Frama-C package with this change
>> only?  Uploading a new Frama-C would require rebuilding Why as well on
>> all architectures because it provides a plugin for Frama-C which
>> contains a hash of some internal modules of Frama-C (that's needed by
>> OCaml).
> 
> Please go ahead, and let us know once the package has been accepted.
> 

Uploaded.

Regards,

-- 
Mehdi Dogguy مهدي الدڤي
mehdi@{dogguy.org,debian.org}




Reply sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
You have taken responsibility. (Tue, 05 Oct 2010 18:42:04 GMT) Full text and rfc822 format available.

Notification sent to Mehdi Dogguy <mehdi@debian.org>:
Bug acknowledged by developer. (Tue, 05 Oct 2010 18:42:04 GMT) Full text and rfc822 format available.

Message #22 received at 595921-done@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Mehdi Dogguy <mehdi@debian.org>, 595921-done@bugs.debian.org
Subject: Re: Bug#595921: Future unblock: frama-c/20100401+boron+dfsg-5
Date: Tue, 05 Oct 2010 19:38:10 +0100
On Tue, 2010-10-05 at 19:21 +0200, Mehdi Dogguy wrote:
> On 07/09/2010 20:06, Adam D. Barratt wrote:
> > On Tue, 2010-09-07 at 11:54 +0200, Mehdi Dogguy wrote:
> >> Would it be ok for upload an updated Frama-C package with this change
> >> only?  Uploading a new Frama-C would require rebuilding Why as well on
> >> all architectures because it provides a plugin for Frama-C which
> >> contains a hash of some internal modules of Frama-C (that's needed by
> >> OCaml).
[...]
> Uploaded.

Unblocked, and binNMUs scheduled.

Regards,

Adam





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 03 Nov 2010 07:29:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 11:06:37 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.